import { createRouter, createWebHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import LoginView from '../views/LoginView.vue'
import SelectProfileView from '../views/SelectProfileView.vue'
import ProfileCreationView from '../views/ProfileCreationView.vue'
import RegisterAccountView from '../views/RegisterAccountView.vue'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'home',
      component: HomeView
    },
    {
      path: '/login',
      name: 'login',
      component: LoginView
    },
    {
      path: '/selectProfile',
      name: "selectProfile",
      component: SelectProfileView
    },
    {
      path: '/newProfile',
      name: "newProfile",
      component: ProfileCreationView
    },
    {
      path: '/registerAccount',
      name: 'registerAccount',
      component: RegisterAccountView
    }
  ]
})

export default router
